Index: bin/create-volume
===================================================================
--- bin/create-volume	(revision 39)
+++ bin/create-volume	(revision 40)
@@ -8,8 +8,8 @@
 echo " -p : pool name" 1>&2
 echo " -b : block size. Permit value : 32K, 64K, 128K (recommanded)" 1>&2
 echo " -s : volume size. Permit unit : T, G, M"  1>&2
+# FIXME: c'est pas clair ta formulation
 echo " -o : options zfs volume. Read the man zfs for more details" 1>&2
-
 }
 
 
@@ -27,7 +27,8 @@
 
 function interactive {
 zfs list
-echo "*** Choose a pool for the ZFS volume to create : ***"
+# FIXME: c'est pas clair ta formulation
+echo "*** Choose a pool for the ZFS volume to create: ***"
 
 while read inputline
 do
@@ -36,23 +37,24 @@
       zfs list |grep -i $inputline
       if [ $? -eq 1 ]
       then
-         echo "*** Choose a pool for the ZFS volume to create : ***"
+# FIXME: c'est pas clair ta formulation
+         echo "*** Choose a pool for the ZFS volume to create: ***"
       else
 
-         echo "*** Are you sur : $inputline ? (y/n) ***"
+         echo "*** Are you sure: $inputline ? (y/n) ***"
          while read inputConfirm
          do
             if [ "$inputConfirm" = "y" ]||[ "$inputConfirm" = "n" ]
             then
               break
             fi
-            echo "*** Are you sur : $inputline ? (y/n) ***"
+            echo "*** Are you sure: $inputline ? (y/n) ***"
           done
 
           if [ "$inputConfirm" = "y" ]
           then
              NAME_POOL=$inputline
-             echo "volume name : "
+             echo "volume name: "
              while read inputVolume
              do
                 if [ "$inputVolume" != "" ]
@@ -73,10 +75,10 @@
                    fi
                    if [ $VOL_OK -eq 1 ]
                    then
-                      echo "volume name : "
+                      echo "volume name: "
                    else
                       NAME_VOL=$inputVolume
-                      echo "volume size (Unit in T|G|M) : "
+                      echo "volume size (Unit in T|G|M): "
                       while read inputSize
                       do
                          if [ "$inputSize" != "" ]
@@ -91,13 +93,13 @@
                               echo "/!\\ ZFS volume creation [ERROR] /!\\"
                            fi
                         else
-                           echo "volume size (Unit in T|G|M) : "   
+                           echo "volume size (Unit in T|G|M): "   
                         fi
                       done
                       break
                     fi
                 else
-                  echo "volume name : "
+                  echo "volume name: "
                 fi
              done
              break
@@ -105,7 +107,8 @@
           break
       fi
    else
-      echo "*** Choose a pool for the ZFS volume to create : ***"
+# FIXME: c'est pas clair ta formulation
+      echo "*** Choose a pool for the ZFS volume to create: ***"
    fi
 done
 }
Index: bin/del-volume
===================================================================
--- bin/del-volume	(revision 39)
+++ bin/del-volume	(revision 40)
@@ -1,6 +1,8 @@
 #!/bin/bash
 # $Id$
 
+# TODO: fix typos
+
 GETINFO_ISCSI="/sbin/get-conf-iscsi-volume"
 DEL_ISCSI="/sbin/del-iscsi-volume"
 
Index: bin/check-coherence-zvol-dev
===================================================================
--- bin/check-coherence-zvol-dev	(revision 39)
+++ bin/check-coherence-zvol-dev	(revision 40)
@@ -15,13 +15,13 @@
       SIZE_ZVOL=$(zfs get volsize $line | grep $line |awk '{ print $3}')
       if [ "$SIZE_ZVOL" != "-" ]
       then
-         echo "*** zvol $line. Taille : $SIZE_ZVOL"
+         echo "*** zvol $line. Size: $SIZE_ZVOL"
          if [ -e /dev/zvol/$line ]
          then
             echo "Check Coherence ZVOL/DEVICE for $line : [OK]"
          else
             echo "Check Coherence ZVOL/DEVICE for $line : [ERROR]"
-            echo "Try to resolv the problem ..."
+            echo "Trying to resolv the problem... "
             zfs rename $line $line-rn
             zfs rename $line-rn $line 
             if [ -e /dev/zvol/$line ]
@@ -51,7 +51,7 @@
             echo "Check Coherence SNAPSHOT/DEVICE for $line : [OK]"
          else
             echo "Check Coherence SNAPSHOT/DEVICE for $line : [ERROR]"
-            echo "Try to resolv the problem ..."
+            echo "Trying to resolv the problem... "
             zfs rename $line $line-rn
             zfs rename $line-rn $line 
             if [ -e /dev/zvol/$line ]
Index: bin/get-conf-replica
===================================================================
--- bin/get-conf-replica	(revision 39)
+++ bin/get-conf-replica	(revision 40)
@@ -3,7 +3,7 @@
 
 function usage {
 echo "Syntax : $0 zfs_filesystem/volume_name" 1>&2
-echo "Return the parameters replication for a zfs filesystem/volume" 1>&2
+echo "Return replication parameters for a given zfs filesystem/volume" 1>&2
 }
 
 DIR_CRON="/etc/cron.d/"
Index: bin/disable-replica
===================================================================
--- bin/disable-replica	(revision 39)
+++ bin/disable-replica	(revision 40)
@@ -5,11 +5,8 @@
 DIR_CONF_REPLICA="/opt/gZFS/replicas/"
 BIN_ZFS_REPLICA="/sbin/zfs-replica"
 
+# TODO: traduire les msg
 
-
-
-
-
 function usage {
   echo "Usage :" 1>&2
   echo "disable-replica [OPTIONS]" 1>&2
Index: bin/del-iscsi-volume
===================================================================
--- bin/del-iscsi-volume	(revision 39)
+++ bin/del-iscsi-volume	(revision 40)
@@ -34,7 +34,7 @@
   fi
   if [ $TID_ISACTIVE -eq 0 ]
   then
-     echo "iscsi volume in use, please disconnect all clients " 1>&2
+     echo "iscsi volume in use, please disconnect all clients first " 1>&2
      exit 1
   fi
   TID_LISTED=$(echo $line |awk '(/tid:/) { print $1 }')
@@ -52,9 +52,11 @@
 ietadm --op delete --tid=$TID2DEL
 if [ $? -eq 0 ]
 then
-   echo "*** La suppression via la commande ietadm s'est termine correctement"
+#   echo "*** La suppression via la commande ietadm s'est termine correctement"
+   echo "*** Removal, via ietadm command, ended correctly "
    echo ""
-   echo "*** Vérification et suppression du volume dans le fichier /etc/iet/ietd.conf ..."
+#   echo "*** Vérification et suppression du volume dans le fichier /etc/iet/ietd.conf ..."
+   echo "*** Checking and removal of volume's entry in /etc/iet/ietd.conf... "
 
    COPY_LINE=0
    >/tmp/.buffer_ietd.conf
@@ -76,26 +78,32 @@
       fi
 
     done < "/etc/iet/ietd.conf"
-    echo "*** Sauvegarde du fichier /etc/iet/ietd.conf ..."
+#    echo "*** Sauvegarde du fichier /etc/iet/ietd.conf ..."
+    echo "*** Backup of file /etc/iet/ietd.conf... "
     TODAY=$(date +%Y%m%d%H%M%S)
     cp /etc/iet/ietd.conf /etc/iet/ietd.conf.$TODAY
     cp /tmp/.buffer_ietd.conf /etc/iet/ietd.conf
 
 
    echo ""
-   echo "*** Vérification /proc/net/iet/volume :"
+#   echo "*** Vérification /proc/net/iet/volume :"
+   echo "*** Checking /proc/net/iet/volumes: "
    cat /proc/net/iet/volume
 
    echo ""
-   echo "*** Verification repertoire /etc/iet :"
+#   echo "*** Verification repertoire /etc/iet :"
+   echo "*** Checking /etc/iet directory: "
    ls -ltr /etc/iet
 
    echo ""
-   echo "*** Operation de suppression [OK] ..."
+#   echo "*** Operation de suppression [OK] ..."
+   echo "*** Removal operation [OK] "
 else
 
-   echo "*** Un probleme est survenu lors de la tentive de suppresion du volume iscsi TID:$TID2DEL"
-   echo "*** Veuillez vérifier que le volume n'est pas en cours d'uilisation (cat /proc/net/iet/session) sinon contacter l'admin en charge de ce serv ce"
+#   echo "*** Un probleme est survenu lors de la tentative de suppression du volume iscsi TID:$TID2DEL"
+#   echo "*** Veuillez vérifier que le volume n'est pas en cours d'utilisation (cat /proc/net/iet/session) sinon contacter l'admin en charge de ce service"
+   echo "*** A problem occurred while trying to delete iscsi volume TID:$TID2DEL"
+   echo "*** Please verify that this volume is not in use (cat /proc/net/iet/session) otherwise contact the BOFH in charge"
 fi
 
 
@@ -104,14 +112,17 @@
 
 function interactive {
 
-echo "*** Choix du volume ISCSI a supprimer ***"
+#echo "*** Choix du volume ISCSI a supprimer ***"
+echo "*** ISCSI volume to delete: ***"
 cat /proc/net/iet/session
 
-echo "*** Saisir le TID du volume iscsi a supprimer : ***" 
+#echo "*** Saisir le TID du volume iscsi a supprimer : ***" 
+echo "*** Please enter TID from iscsi volume to delete: ***"
 while read inputline
 do
    TID2DEL=$inputline 
-   echo "*** Etes-vous sur du nom : $inputline ? (y/n) ***"
+#   echo "*** Etes-vous sur du nom : $inputline ? (y/n) ***"
+   echo "*** Are you sure: $inputline ? (y/n) ***"
    
    while read inputConfirm
    do
@@ -119,7 +130,8 @@
       then
          break
       fi
-      echo "*** Etes-vous certain de vouloir supprimer le TID : $inputline ? (y/n) ***" 
+#      echo "*** Etes-vous certain de vouloir supprimer le TID : $inputline ? (y/n) ***" 
+      echo "*** Are you sure to delete this TID: $inputline ? (y/n) ***"
    done
 
    if [ "$inputConfirm" = "y" ]
@@ -128,17 +140,21 @@
    fi
    if [ "$inputConfirm" != "y" ]
    then
-      echo "*** Saisir le TID du volume iscsi a supprimer : ***" 
+#      echo "*** Saisir le TID du volume iscsi a supprimer : ***" 
+      echo "*** Please enter TID from iscsi volume to delete: ***"
    fi
 done
 
-echo "**** Recuperation de la propriété Target (identifiant utilise dans le fichier /etc/iet/ietd.conf) ..."
+#echo "**** Recuperation de la propriété Target (identifiant utilise dans le fichier /etc/iet/ietd.conf) ..."
+echo "**** Retrieval of Target property (id used in /etc/iet/ietd.conf)... "
 TARGET=$(cat /proc/net/iet/session |grep -i tid:$TID2DEL |cut -d ":" -f3)
 
-echo "Nom de la target a rechercher dans /etc/iet/ietd.conf : $TARGET"
+#echo "Nom de la target a rechercher dans /etc/iet/ietd.conf : $TARGET"
+echo "Target name to search in /etc/iet/ietd.conf: $TARGET"
 
 echo ""
-echo "**** Check si le volume est en cours d'utilisation ..."
+#echo "**** Check si le volume est en cours d'utilisation ..."
+echo "**** Checking if volume is in use... "
 
 
 TID_FIND=1
@@ -156,7 +172,8 @@
   fi
   if [ $TID_ISACTIVE -eq 0 ]
   then
-     echo "Le volume isci est en cours d'utilisation, suppression impossible"
+#     echo "Le volume isci est en cours d'utilisation, suppression impossible"
+     echo "ISCSI Volume is in use, cannot delete."
      exit 1
   fi
   TID_LISTED=$(echo $line |awk '(/tid:/) { print $1 }')
@@ -171,15 +188,18 @@
  fi
 done
 
-echo "*** Debut de la procédure de suppression ..."
+#echo "*** Debut de la procédure de suppression ..."
+echo "*** Beginning delete procedure... "
 echo ""
 
 ietadm --op delete --tid=$TID2DEL
 if [ $? -eq 0 ]
 then
-   echo "*** La suppression via la commande ietadm s'est termine correctement"
+#   echo "*** La suppression via la commande ietadm s'est termine correctement"
+   echo "*** Removal, via ietadm command, ended correctly "
    echo ""
-   echo "*** Vérification et suppression du volume dans le fichier /etc/iet/ietd.conf ..."
+#   echo "*** Vérification et suppression du volume dans le fichier /etc/iet/ietd.conf ..."
+   echo "*** Checking and removal of volume's entry in /etc/iet/ietd.conf... "
 
    COPY_LINE=0
    >/tmp/.buffer_ietd.conf
@@ -201,28 +221,34 @@
       fi 
 
     done < "/etc/iet/ietd.conf"
-    echo "*** Sauvegarde du fichier /etc/iet/ietd.conf ..."
+#    echo "*** Sauvegarde du fichier /etc/iet/ietd.conf ..."
+    echo "*** Backup of file /etc/iet/ietd.conf... "
     TODAY=$(date +%Y%m%d%H%M%S)
     cp /etc/iet/ietd.conf /etc/iet/ietd.conf.$TODAY
     cp /tmp/.buffer_ietd.conf /etc/iet/ietd.conf
        
 
    echo ""
-   echo "*** Vérification /proc/net/iet/volume :"
+#   echo "*** Vérification /proc/net/iet/volume :"
+   echo "*** Checking /proc/net/iet/volumes: "
    cat /proc/net/iet/volume
 
    echo ""
-   echo "*** Verification repertoire /etc/iet :"
+#   echo "*** Verification repertoire /etc/iet :"
+   echo "*** Checking /etc/iet directory: "
    ls -ltr /etc/iet
 
    echo ""
-   echo "*** Operation de suppression [OK] ..."
+#   echo "*** Operation de suppression [OK] ..."
+   echo "*** Removal operation [OK] "
 else
 
-   echo "*** Un probleme est survenu lors de la tentive de suppresion du volume iscsi TID:$TID2DEL"
-   echo "*** Veuillez vérifier que le volume n'est pas en cours d'uilisation (cat /proc/net/iet/session) sinon contacter l'admin en charge de ce service"
+#   echo "*** Un probleme est survenu lors de la tentive de suppresion du volume iscsi TID:$TID2DEL"
+#   echo "*** Veuillez vérifier que le volume n'est pas en cours d'uilisation (cat /proc/net/iet/session) sinon contacter l'admin en charge de ce service"
+   echo "*** A problem occurred while trying to delete iscsi volume TID:$TID2DEL"
+   echo "*** Please verify that this volume is not in use (cat /proc/net/iet/session) otherwise contact the BOFH in charge"
 fi
-echo "*** FIN ***"
+echo "*** END ***"
 }
 
 while getopts "iT:h" OPTION
Index: bin/enable-snapshot
===================================================================
--- bin/enable-snapshot	(revision 39)
+++ bin/enable-snapshot	(revision 40)
@@ -5,19 +5,20 @@
 DIR_CONF_SNAPSHOT="/opt/gZFS/snapshots/"
 BIN_ZFS_SNAPSHOT="/sbin/zfs-snapshot"
 
+# TODO: traduire les msg
 
 function usage {
   echo "Usage : $0 options" 1>&2
   echo "OPTIONS :" 1>&2
-  echo "  -i : interactive mode, this option is not compatible with others options" 1>&2
+  echo "  -i : interactive mode, this option is not compatible with other options" 1>&2
   echo "  -m : minute field for cron snapshot" 1>&2
-  echo "  -H : hour field for cron snapshots" 1>&2
-  echo "  -D : Day of Month field for cron snapshots" 1>&2
-  echo "  -M : Month field for cron snapshots" 1>&2
-  echo "  -d : Day of week for cron snapshots" 1>&2
-  echo "  -N : Name of ZFS Volume/FileSystem to snapshots" 1>&2
-  echo "  -t : Type ZFS Volume or FileSystem. Possible value : volume or filesystem" 1>&2
-  echo "  -k : Number of snapsot to keep" 1>&2
+  echo "  -H : hour field for cron snapshot" 1>&2
+  echo "  -D : Day of Month field for cron snapshot" 1>&2
+  echo "  -M : Month field for cron snapshot" 1>&2
+  echo "  -d : Day of week for cron snapshot" 1>&2
+  echo "  -N : Name of ZFS Volume/FileSystem to snapshot" 1>&2
+  echo "  -t : Type (Possible values: volume or filesystem)" 1>&2
+  echo "  -k : Number of snapshot to keep" 1>&2
 }
 
 function checkField4Cron {
Index: bin/create-filesystem
===================================================================
--- bin/create-filesystem	(revision 39)
+++ bin/create-filesystem	(revision 40)
@@ -6,8 +6,8 @@
 echo "$0 [options]" 1>&2
 echo " -n : filesystem name" 1>&2
 echo " -p : pool name" 1>&2
+# FIXME: c'est pas clair ta formulation :
 echo " -o : options zfs filesystem. Read the man zfs for more details" 1>&2
-
 }
 
 function nointeractive {
@@ -19,7 +19,8 @@
 
 function interactive {
 zfs list
-echo "*** Choose a pool for the filesystem to create : ***"
+# FIXME: c'est pas clair ta formulation
+echo "*** Choose a pool for the filesystem to create: ***"
 
 while read inputline
 do
@@ -28,23 +29,24 @@
       zfs list |grep -i $inputline
       if [ $? -eq 1 ]
       then
-         echo "*** Choose a pool for the filesystem to create : ***"
+# FIXME: c'est pas clair ta formulation
+         echo "*** Choose a pool for the filesystem to create: ***"
       else
 
-         echo "*** Are you sur : $inputline ? (y/n) ***"
+         echo "*** Are you sure: $inputline ? (y/n) ***"
          while read inputConfirm
          do
             if [ "$inputConfirm" = "y" ]||[ "$inputConfirm" = "n" ]
             then
               break
             fi
-            echo "*** Are you sur : $inputline ? (y/n) ***"
+            echo "*** Are you sure: $inputline ? (y/n) ***"
          done
 
           if [ "$inputConfirm" = "y" ]
           then
              NAME_POOL=$inputline
-             echo "filesystem name : "
+             echo "filesystem name: "
              while read inputFS
              do
                 if [ "$inputFS" != "" ]
@@ -59,7 +61,7 @@
                    fi
                    if [ $FS_OK -eq 1 ]
                    then
-                      echo "filesystem name : "
+                      echo "filesystem name: "
                    else
                       NAME_FS=$inputFS
                            zfs create $NAME_POOL/$inputFS
@@ -73,7 +75,7 @@
                            fi
                     fi
                 else
-                  echo "filesystem name : "
+                  echo "filesystem name: "
                 fi
              done
              break
@@ -81,7 +83,8 @@
           break
       fi
    else
-      echo "*** Choose a pool for the filesystem to create : ***"
+# FIXME: c'est pas clair ta formulation
+      echo "*** Choose a pool for the filesystem to create: ***"
    fi
 done
 }
Index: bin/del-filesystem
===================================================================
--- bin/del-filesystem	(revision 39)
+++ bin/del-filesystem	(revision 40)
@@ -36,18 +36,18 @@
 function interactive {
 
 zfs list
-echo "*** Enter the ZFS FileSystem Name : ***" 
+echo "*** Enter ZFS FileSystem Name: ***" 
 while read inputline
 do
    NAME_VOL=$inputline 
-   echo "*** Do you want really remove the ZFS FileSystem : $inputline ? (y/n) ***"
+   echo "*** Do you really want to remove this ZFS FileSystem: $inputline ? (y/n) ***"
    while read inputConfirm
    do
       if [ "$inputConfirm" = "y" ]||[ "$inputConfirm" = "n" ]
       then
          break
       fi
-      echo "*** Do you want really remove the ZFS FileSystem : $inputline ? (y/n) ***"
+      echo "*** Do you really want to remove this ZFS FileSystem: $inputline ? (y/n) ***"
    done
 
    
@@ -57,7 +57,7 @@
    fi
    if [ "$inputConfirm" != "y" ]
    then
-      echo "*** Enter the ZFS Volume FileSystem : ***" 
+      echo "*** Enter ZFS Volume FileSystem: ***" 
    fi
 done
 nointeractive
Index: bin/get-conf-snapshot
===================================================================
--- bin/get-conf-snapshot	(revision 39)
+++ bin/get-conf-snapshot	(revision 40)
@@ -3,7 +3,7 @@
 
 function usage {
 echo "Syntax : $0 zfs_filesystem/volume_name" 1>&2
-echo "Return the parameters snapshot for a zfs filesystem/volume" 1>&2
+echo "Return snapshot parameters for a given zfs filesystem/volume" 1>&2
 }
 
 DIR_CRON="/etc/cron.d/"
Index: bin/disable-snapshot
===================================================================
--- bin/disable-snapshot	(revision 39)
+++ bin/disable-snapshot	(revision 40)
@@ -5,11 +5,8 @@
 DIR_CONF_SNAPSHOT="/opt/gZFS/snapshots/"
 BIN_ZFS_SNAPSHOT="/sbin/zfs-snapshot"
 
+# TODO: traduire les msg
 
-
-
-
-
 function usage {
   echo "Usage :" 1>&2
   echo "disable-snapshot [OPTIONS]" 1>&2
Index: bin/enable-replica
===================================================================
--- bin/enable-replica	(revision 39)
+++ bin/enable-replica	(revision 40)
@@ -5,6 +5,8 @@
 DIR_CRON="/etc/cron.d/"
 BIN_ZFS_REPLICA="/sbin/zfs-replica"
 
+# TODO: traduire les msg
+
 function usage {
   echo "USAGE :"
   echo "$0 -o volume_fs_to_replicate -r volume_fs_destination -n number_replicas_to_keep -m minute_cron -H hour_cron -D Day_of_Month_cron -M month_cron -d day_of_week_cron [-s server destination]" 1>&2
@@ -15,9 +17,9 @@
   echo "  -o : origin volume or a filesystem to replicate" 1>&2
   echo "  -r : volume or filesystem replicated" 1>&2
   echo "  -n : number replicas to keep" 1>&2
-  echo "  -s : if the replica destination is on a another zfs server, so you need to specify this option with the name of server." 1>&2
-  echo "      The remote replication use ssh. So please, generate a ssh private/public key and the public key in /root/.ssh/authorized_key" 1>&2
-  echo "      on the remote server" 1>&2
+  echo "  -s : if replica destination is on another zfs server, you need to specify this option with the name of server." 1>&2
+  echo "      Warning ! Remote replication use ssh. So please, generate a ssh private/public key and the public key in /root/.ssh/authorized_key" 1>&2
+  echo "      on remote server" 1>&2
   echo "  -m : minute field for cron replication" 1>&2
   echo "  -H : hour field for cron replication" 1>&2
   echo "  -D : Day of Month field for cron replication" 1>&2
Index: bin/add-iscsi-volume
===================================================================
--- bin/add-iscsi-volume	(revision 39)
+++ bin/add-iscsi-volume	(revision 40)
@@ -46,11 +46,11 @@
 do
    CHECK_TID=$(($CHECK_TID + 1))
 done 
-echo "*** iscsi volume name : ***" 
+echo "*** iscsi volume name: ***" 
 while read inputline
 do
    NAME_ISCSI=$inputline 
-   echo "*** Are you sur : $inputline ? (y/n) ***"
+   echo "*** Are you sure: $inputline ? (y/n) ***"
    
    while read inputConfirm
    do
@@ -58,7 +58,7 @@
       then
          break
       fi
-      echo "*** Are you sur : $inputline ? (y/n) ***" 
+      echo "*** Are you sure: $inputline ? (y/n) ***" 
    done
 
    if [ "$inputConfirm" = "y" ]
@@ -67,23 +67,23 @@
    fi
    if [ "$inputConfirm" != "y" ]
    then
-      echo "*** iscsi volume name : ***"
+      echo "*** iscsi volume name: ***"
    fi
 done
 
 echo ""
-echo "*** Step I : Initialization of TID and iscsi volume name ***"
+echo "*** Step I: Initialization of TID and iscsi volume name ***"
 TODAY=$(date +%Y%m%d%H%M%S)
 ietadm --op new --tid=$CHECK_TID --params Name=iqn.$TODAY:$(hostname)-ens-zfs-iscsi-$NAME_ISCSI
 if [ $? -eq 0 ]
 then
-   echo "*** Path of zfs device (zvol) to export : ***"
+   echo "*** Path of zfs device (zvol) to export: ***"
    
 
    while read -e inputline
    do
       PATH_ZVOL=$inputline
-      echo "*** Are you sur : $inputline ? (y/n) ***"
+      echo "*** Are you sure: $inputline ? (y/n) ***"
 
       while read inputConfirm
       do
@@ -91,37 +91,37 @@
          then
             break
          fi
-         echo "*** Are you sur : $inputline ? (y/n) ***"
+         echo "*** Are you sure: $inputline ? (y/n) ***"
       done
 
       if [ "$inputConfirm" = "y" ]
       then
-         echo "*** Check if zvol path exists ...***"
+         echo "*** Check if zvol path exists... ***"
          ls -l $PATH_ZVOL
          if [ $? -eq 0 ]
          then
-            echo "*** The path is valid ..."
+            echo "*** The path is valid... "
             break
          else
-            echo "*** Path doesn't exist ...."
+            echo "*** Path doesn't exist... "
          fi
       fi
       if [ "$inputConfirm" != "y" ]
       then
-         echo "*** Path of zfs device (zvol) to export : ***"
+         echo "*** Path of zfs device (zvol) to export: ***"
       fi
    done
   
    echo "" 
-   echo "*** Step II : initialization of the PATH and iscsi volume LUN ***"
+   echo "*** Step II: initialization of the PATH and iscsi volume LUN ***"
    if [ $? -eq 0 ]
    then
-     echo "*** ISCSI export Type (fileio/blockio) : ***"
+     echo "*** ISCSI export Type (fileio/blockio): ***"
      
      while read inputline
      do
         TYPE_EXPORT=$inputline
-        echo "*** Are you sur : $inputline ? (y/n) ***"
+        echo "*** Are you sure: $inputline ? (y/n) ***"
 
         while read inputConfirm
         do
@@ -129,33 +129,33 @@
            then
               break
            fi
-           echo "*** Are you sur : $inputline ? (y/n) ***"
+           echo "*** Are you sure: $inputline ? (y/n) ***"
         done
 
         if [ "$inputConfirm" = "y" ]
         then
-           echo "*** Check if the parameter is valid ...***"
+           echo "*** Check if the parameter is valid... ***"
            if [ "$TYPE_EXPORT" = "fileio" ]||[ "$TYPE_EXPORT" = "blockio" ]
            then
               break
            else
-              echo "*** ISCSI export Type (fileio/blockio) : ***"
+              echo "*** ISCSI export Type (fileio/blockio): ***"
            fi
         fi
         if [ "$inputConfirm" != "y" ]
         then
-           echo "*** ISCSI export Type (fileio/blockio) : ***"
+           echo "*** ISCSI export Type (fileio/blockio): ***"
         fi
      done
 
    echo "" 
-   echo "*** Step II.B : initialization iscsi IOMode ***"
-     echo "*** ISCSI IOMode (ro/wt) : ***"
+   echo "*** Step II.B: initialization iscsi IOMode ***"
+     echo "*** ISCSI IOMode (ro/wt): ***"
      
      while read inputline
      do
         iomode=$inputline
-        echo "*** Are you sur : $inputline ? (y/n) ***"
+        echo "*** Are you sure: $inputline ? (y/n) ***"
 
         while read inputConfirm
         do
@@ -163,59 +163,59 @@
            then
               break
            fi
-           echo "*** Are you sur : $inputline ? (y/n) ***"
+           echo "*** Are you sure: $inputline ? (y/n) ***"
         done
 
         if [ "$inputConfirm" = "y" ]
         then
-           echo "*** Check if the parameter is valid ...***"
+           echo "*** Check if the parameter is valid... ***"
            if [ "$iomode" = "ro" ]||[ "$iomode" = "wt" ]
            then
               break
            else
-              echo "*** ISCSI IOMode (ro/wt) : ***"
+              echo "*** ISCSI IOMode (ro/wt): ***"
            fi
         fi
         if [ "$inputConfirm" != "y" ]
         then
-           echo "*** ISCSI IOMode (ro/wt) : ***"
+           echo "*** ISCSI IOMode (ro/wt): ***"
         fi
      done
      
      echo ""
-     echo "*** Step III : initialization of export Type and iscsi IOMode ***"
+     echo "*** Step III: initialization of export Type and iscsi IOMode ***"
      ietadm --op new --tid=$CHECK_TID --lun=0 --params Path=$PATH_ZVOL,Type=$TYPE_EXPORT,IOMode=$iomode
      if [ $? -eq 0 ]
      then
 
        echo ""
-       echo "*** Step IV : Login and password ***"
-       echo "*** Do you enable a restriction login/password : (y/n)"
+       echo "*** Step IV: Login and password ***"
+       echo "*** Do you enable a restriction login/password: (y/n)"
        while read inputline
        do
            if [ "$inputline" != "y" ] && [ "$inputline" != "n" ]
            then
-              echo "*** Do you enable a restriction login/password : (y/n)"
+              echo "*** Do you enable a restriction login/password: (y/n)"
            else
              if [ "$inputline" = "y" ]
              then
-                 echo "*** Give a login :"
+                 echo "*** Give a login:"
                  while read inputlogin
                  do
                    if [ "$inputlogin" != "" ]
                    then
                       break
                    else
-                      echo "*** Give a login :"
+                      echo "*** Give a login:"
                    fi
                   done
 
-                  echo "*** Give a password :"
+                  echo "*** Give a password:"
                   while read inputpass
                   do
                      if [ "$inputpass" = "" ]
                      then
-                        echo "*** Give a password :"
+                        echo "*** Give a password:"
                      else
                         break
                      fi
@@ -226,8 +226,8 @@
                     echo "*** Authentication Configuration [OK]"
        
                     echo ""
-                    echo "*** Step IV : Writting in file ietd.conf ***"
-                    echo "*** Backup of /etc/iet/ietd.conf ..."
+                    echo "*** Step IV: Writting in file ietd.conf ***"
+                    echo "*** Backup of /etc/iet/ietd.conf... "
 
                     cp /etc/iet/ietd.conf /etc/iet/ietd.conf.$TODAY
 
@@ -248,8 +248,8 @@
                  break
              else
                     echo ""
-                    echo "*** Step IV : Writting in file ietd.conf ***"
-                    echo "*** Backup of /etc/iet/ietd.conf ..."
+                    echo "*** Step IV: Writting in file ietd.conf ***"
+                    echo "*** Backup of /etc/iet/ietd.conf... "
 
                     cp /etc/iet/ietd.conf /etc/iet/ietd.conf.$TODAY
 
@@ -270,37 +270,37 @@
        done
 
      else
-       echo "*** Problem during the step III (initialization of iscsi export Type). Canceled Process ...***"
+       echo "*** Problem during step III (initialization of iscsi export Type). Canceled process... ***"
        ietadm --op delete --tid=$CHECK_TID
      fi
      
    else
-      echo "*** Problem during the step II (initialization of PATH and  iscsi volume LUN). Canceled Process ...***"
+      echo "*** Problem during step II (initialization of PATH and iscsi volume LUN). Canceled process... ***"
       ietadm --op delete --tid=$CHECK_TID
    fi
 
 else
-   echo "*** Problem during the step I (initialization of TID and iscsi volume name). Canceled Process ...***"
+   echo "*** Problem during step I (initialization of TID and iscsi volume name). Canceled process... ***"
    ietadm --op delete --tid=$CHECK_TID
 fi
 }
 
 function usage {
 
-echo "syntax : " 1>&2
+echo "syntax: " 1>&2
 echo "add-iscsi-volume [OPTIONS]" 1>&2
 echo "" 1>&2
 echo "OPTIONS :" 1>&2
 echo "-h : display this message" 1>&2
 echo "-d : path device to iscsi export" 1>&2
-echo "-T : export type. Only fileio or blockio" 1>&2
-echo "-L : lun. Only numeric value." 1>&2
+echo "-T : export type (Only fileio or blockio)" 1>&2
+echo "-L : lun (Only numeric values)" 1>&2
 echo "-o : IO Mode : ro (Read Only) or wt (Read Write)" 1>&2
 echo "-l : login if you want a CHAP authentication" 1>&2
 echo "-p : password if you want a CHAP authentication" 1>&2
-echo "-R : Specify a list of restricted IP. Separate such IP by a ;" 1>&2
-echo "-t : name of zfs volume. This field is used to generate alias name iscsi" 1>&2
-echo "-i : interactive mode. This option is not compatible with others" 1>&2
+echo "-R : Specify a list of restricted IP (Separated by a ;)" 1>&2
+echo "-t : name of zfs volume (This field is used to generate alias name iscsi)" 1>&2
+echo "-i : interactive mode (This option is not compatible with others)" 1>&2
 
 }
 
Index: COPYING.CeCILLv2
===================================================================
--- COPYING.CeCILLv2	(revision 0)
+++ COPYING.CeCILLv2	(revision 40)
@@ -0,0 +1,512 @@
+CONTRAT DE LICENCE DE LOGICIEL LIBRE CeCILL
+
+
+    Avertissement
+
+Ce contrat est une licence de logiciel libre issue d'une concertation
+entre ses auteurs afin que le respect de deux grands principes préside à
+sa rédaction:
+
+    * d'une part, le respect des principes de diffusion des logiciels
+      libres: accès au code source, droits étendus conférés aux
+      utilisateurs,
+    * d'autre part, la désignation d'un droit applicable, le droit
+      français, auquel elle est conforme, tant au regard du droit de la
+      responsabilité civile que du droit de la propriété intellectuelle
+      et de la protection qu'il offre aux auteurs et titulaires des
+      droits patrimoniaux sur un logiciel.
+
+Les auteurs de la licence CeCILL (pour Ce[a] C[nrs] I[nria] L[ogiciel]
+L[ibre]) sont:
+
+Commissariat à l'Energie Atomique - CEA, établissement public de
+recherche à caractère scientifique, technique et industriel, dont le
+siège est situé 25 rue Leblanc, immeuble Le Ponant D, 75015 Paris.
+
+Centre National de la Recherche Scientifique - CNRS, établissement
+public à caractère scientifique et technologique, dont le siège est
+situé 3 rue Michel-Ange, 75794 Paris cedex 16.
+
+Institut National de Recherche en Informatique et en Automatique -
+INRIA, établissement public à caractère scientifique et technologique,
+dont le siège est situé Domaine de Voluceau, Rocquencourt, BP 105, 78153
+Le Chesnay cedex.
+
+
+    Préambule
+
+Ce contrat est une licence de logiciel libre dont l'objectif est de
+conférer aux utilisateurs la liberté de modification et de
+redistribution du logiciel régi par cette licence dans le cadre d'un
+modèle de diffusion en logiciel libre.
+
+L'exercice de ces libertés est assorti de certains devoirs à la charge
+des utilisateurs afin de préserver ce statut au cours des
+redistributions ultérieures.
+
+L'accessibilité au code source et les droits de copie, de modification
+et de redistribution qui en découlent ont pour contrepartie de n'offrir
+aux utilisateurs qu'une garantie limitée et de ne faire peser sur
+l'auteur du logiciel, le titulaire des droits patrimoniaux et les
+concédants successifs qu'une responsabilité restreinte.
+
+A cet égard l'attention de l'utilisateur est attirée sur les risques
+associés au chargement, à l'utilisation, à la modification et/ou au
+développement et à la reproduction du logiciel par l'utilisateur étant
+donné sa spécificité de logiciel libre, qui peut le rendre complexe à
+manipuler et qui le réserve donc à des développeurs ou des
+professionnels avertis possédant des connaissances informatiques
+approfondies. Les utilisateurs sont donc invités à charger et tester
+l'adéquation du logiciel à leurs besoins dans des conditions permettant
+d'assurer la sécurité de leurs systèmes et/ou de leurs données et, plus
+généralement, à l'utiliser et l'exploiter dans les mêmes conditions de
+sécurité. Ce contrat peut être reproduit et diffusé librement, sous
+réserve de le conserver en l'état, sans ajout ni suppression de clauses.
+
+Ce contrat est susceptible de s'appliquer à tout logiciel dont le
+titulaire des droits patrimoniaux décide de soumettre l'exploitation aux
+dispositions qu'il contient.
+
+
+    Article 1 - DEFINITIONS
+
+Dans ce contrat, les termes suivants, lorsqu'ils seront écrits avec une
+lettre capitale, auront la signification suivante:
+
+Contrat: désigne le présent contrat de licence, ses éventuelles versions
+postérieures et annexes.
+
+Logiciel: désigne le logiciel sous sa forme de Code Objet et/ou de Code
+Source et le cas échéant sa documentation, dans leur état au moment de
+l'acceptation du Contrat par le Licencié.
+
+Logiciel Initial: désigne le Logiciel sous sa forme de Code Source et
+éventuellement de Code Objet et le cas échéant sa documentation, dans
+leur état au moment de leur première diffusion sous les termes du Contrat.
+
+Logiciel Modifié: désigne le Logiciel modifié par au moins une
+Contribution.
+
+Code Source: désigne l'ensemble des instructions et des lignes de
+programme du Logiciel et auquel l'accès est nécessaire en vue de
+modifier le Logiciel.
+
+Code Objet: désigne les fichiers binaires issus de la compilation du
+Code Source.
+
+Titulaire: désigne le ou les détenteurs des droits patrimoniaux d'auteur
+sur le Logiciel Initial.
+
+Licencié: désigne le ou les utilisateurs du Logiciel ayant accepté le
+Contrat.
+
+Contributeur: désigne le Licencié auteur d'au moins une Contribution.
+
+Concédant: désigne le Titulaire ou toute personne physique ou morale
+distribuant le Logiciel sous le Contrat.
+
+Contribution: désigne l'ensemble des modifications, corrections,
+traductions, adaptations et/ou nouvelles fonctionnalités intégrées dans
+le Logiciel par tout Contributeur, ainsi que tout Module Interne.
+
+Module: désigne un ensemble de fichiers sources y compris leur
+documentation qui permet de réaliser des fonctionnalités ou services
+supplémentaires à ceux fournis par le Logiciel.
+
+Module Externe: désigne tout Module, non dérivé du Logiciel, tel que ce
+Module et le Logiciel s'exécutent dans des espaces d'adressage
+différents, l'un appelant l'autre au moment de leur exécution.
+
+Module Interne: désigne tout Module lié au Logiciel de telle sorte
+qu'ils s'exécutent dans le même espace d'adressage.
+
+GNU GPL: désigne la GNU General Public License dans sa version 2 ou
+toute version ultérieure, telle que publiée par Free Software Foundation
+Inc.
+
+Parties: désigne collectivement le Licencié et le Concédant.
+
+Ces termes s'entendent au singulier comme au pluriel.
+
+
+    Article 2 - OBJET
+
+Le Contrat a pour objet la concession par le Concédant au Licencié d'une
+licence non exclusive, cessible et mondiale du Logiciel telle que
+définie ci-après à l'article 5 pour toute la durée de protection des droits
+portant sur ce Logiciel.
+
+
+    Article 3 - ACCEPTATION
+
+3.1 L'acceptation par le Licencié des termes du Contrat est réputée
+acquise du fait du premier des faits suivants:
+
+    * (i) le chargement du Logiciel par tout moyen notamment par
+      téléchargement à partir d'un serveur distant ou par chargement à
+      partir d'un support physique;
+    * (ii) le premier exercice par le Licencié de l'un quelconque des
+      droits concédés par le Contrat.
+
+3.2 Un exemplaire du Contrat, contenant notamment un avertissement
+relatif aux spécificités du Logiciel, à la restriction de garantie et à
+la limitation à un usage par des utilisateurs expérimentés a été mis à
+disposition du Licencié préalablement à son acceptation telle que
+définie à l'article 3.1 ci dessus et le Licencié reconnaît en avoir pris
+connaissance.
+
+
+    Article 4 - ENTREE EN VIGUEUR ET DUREE
+
+
+      4.1 ENTREE EN VIGUEUR
+
+Le Contrat entre en vigueur à la date de son acceptation par le Licencié
+telle que définie en 3.1.
+
+
+      4.2 DUREE
+
+Le Contrat produira ses effets pendant toute la durée légale de
+protection des droits patrimoniaux portant sur le Logiciel.
+
+
+    Article 5 - ETENDUE DES DROITS CONCEDES
+
+Le Concédant concède au Licencié, qui accepte, les droits suivants sur
+le Logiciel pour toutes destinations et pour la durée du Contrat dans
+les conditions ci-après détaillées.
+
+Par ailleurs, si le Concédant détient ou venait à détenir un ou
+plusieurs brevets d'invention protégeant tout ou partie des
+fonctionnalités du Logiciel ou de ses composants, il s'engage à ne pas
+opposer les éventuels droits conférés par ces brevets aux Licenciés
+successifs qui utiliseraient, exploiteraient ou modifieraient le
+Logiciel. En cas de cession de ces brevets, le Concédant s'engage à
+faire reprendre les obligations du présent alinéa aux cessionnaires.
+
+
+      5.1 DROIT D'UTILISATION
+
+Le Licencié est autorisé à utiliser le Logiciel, sans restriction quant
+aux domaines d'application, étant ci-après précisé que cela comporte:
+
+   1. la reproduction permanente ou provisoire du Logiciel en tout ou
+      partie par tout moyen et sous toute forme.
+
+   2. le chargement, l'affichage, l'exécution, ou le stockage du
+      Logiciel sur tout support.
+
+   3. la possibilité d'en observer, d'en étudier, ou d'en tester le
+      fonctionnement afin de déterminer les idées et principes qui sont
+      à la base de n'importe quel élément de ce Logiciel; et ceci,
+      lorsque le Licencié effectue toute opération de chargement,
+      d'affichage, d'exécution, de transmission ou de stockage du
+      Logiciel qu'il est en droit d'effectuer en vertu du Contrat.
+
+
+      5.2 DROIT D'APPORTER DES CONTRIBUTIONS
+
+Le droit d'apporter des Contributions comporte le droit de traduire,
+d'adapter, d'arranger ou d'apporter toute autre modification au Logiciel
+et le droit de reproduire le logiciel en résultant.
+
+Le Licencié est autorisé à apporter toute Contribution au Logiciel sous
+réserve de mentionner, de façon explicite, son nom en tant qu'auteur de
+cette Contribution et la date de création de celle-ci.
+
+
+      5.3 DROIT DE DISTRIBUTION
+
+Le droit de distribution comporte notamment le droit de diffuser, de
+transmettre et de communiquer le Logiciel au public sur tout support et
+par tout moyen ainsi que le droit de mettre sur le marché à titre
+onéreux ou gratuit, un ou des exemplaires du Logiciel par tout procédé.
+
+Le Licencié est autorisé à distribuer des copies du Logiciel, modifié ou
+non, à des tiers dans les conditions ci-après détaillées.
+
+
+        5.3.1 DISTRIBUTION DU LOGICIEL SANS MODIFICATION
+
+Le Licencié est autorisé à distribuer des copies conformes du Logiciel,
+sous forme de Code Source ou de Code Objet, à condition que cette
+distribution respecte les dispositions du Contrat dans leur totalité et
+soit accompagnée:
+
+   1. d'un exemplaire du Contrat,
+
+   2. d'un avertissement relatif à la restriction de garantie et de
+      responsabilité du Concédant telle que prévue aux articles 8
+      et 9,
+
+et que, dans le cas où seul le Code Objet du Logiciel est redistribué,
+le Licencié permette aux futurs Licenciés d'accéder facilement au Code
+Source complet du Logiciel en indiquant les modalités d'accès, étant
+entendu que le coût additionnel d'acquisition du Code Source ne devra
+pas excéder le simple coût de transfert des données.
+
+
+        5.3.2 DISTRIBUTION DU LOGICIEL MODIFIE
+
+Lorsque le Licencié apporte une Contribution au Logiciel, les conditions
+de distribution du Logiciel Modifié en résultant sont alors soumises à
+l'intégralité des dispositions du Contrat.
+
+Le Licencié est autorisé à distribuer le Logiciel Modifié, sous forme de
+code source ou de code objet, à condition que cette distribution
+respecte les dispositions du Contrat dans leur totalité et soit
+accompagnée:
+
+   1. d'un exemplaire du Contrat,
+
+   2. d'un avertissement relatif à la restriction de garantie et de
+      responsabilité du Concédant telle que prévue aux articles 8
+      et 9,
+
+et que, dans le cas où seul le code objet du Logiciel Modifié est
+redistribué, le Licencié permette aux futurs Licenciés d'accéder
+facilement au code source complet du Logiciel Modifié en indiquant les
+modalités d'accès, étant entendu que le coût additionnel d'acquisition
+du code source ne devra pas excéder le simple coût de transfert des données.
+
+
+        5.3.3 DISTRIBUTION DES MODULES EXTERNES
+
+Lorsque le Licencié a développé un Module Externe les conditions du
+Contrat ne s'appliquent pas à ce Module Externe, qui peut être distribué
+sous un contrat de licence différent.
+
+
+        5.3.4 COMPATIBILITE AVEC LA LICENCE GNU GPL
+
+Le Licencié peut inclure un code soumis aux dispositions d'une des
+versions de la licence GNU GPL dans le Logiciel modifié ou non et
+distribuer l'ensemble sous les conditions de la même version de la
+licence GNU GPL.
+
+Le Licencié peut inclure le Logiciel modifié ou non dans un code soumis
+aux dispositions d'une des versions de la licence GNU GPL et distribuer
+l'ensemble sous les conditions de la même version de la licence GNU GPL.
+
+
+    Article 6 - PROPRIETE INTELLECTUELLE
+
+
+      6.1 SUR LE LOGICIEL INITIAL
+
+Le Titulaire est détenteur des droits patrimoniaux sur le Logiciel
+Initial. Toute utilisation du Logiciel Initial est soumise au respect
+des conditions dans lesquelles le Titulaire a choisi de diffuser son
+oeuvre et nul autre n'a la faculté de modifier les conditions de
+diffusion de ce Logiciel Initial.
+
+Le Titulaire s'engage à ce que le Logiciel Initial reste au moins régi
+par le Contrat et ce, pour la durée visée à l'article 4.2.
+
+
+      6.2 SUR LES CONTRIBUTIONS
+
+Le Licencié qui a développé une Contribution est titulaire sur celle-ci
+des droits de propriété intellectuelle dans les conditions définies par
+la législation applicable.
+
+
+      6.3 SUR LES MODULES EXTERNES
+
+Le Licencié qui a développé un Module Externe est titulaire sur celui-ci
+des droits de propriété intellectuelle dans les conditions définies par
+la législation applicable et reste libre du choix du contrat régissant
+sa diffusion.
+
+
+      6.4 DISPOSITIONS COMMUNES
+
+Le Licencié s'engage expressément:
+
+   1. à ne pas supprimer ou modifier de quelque manière que ce soit les
+      mentions de propriété intellectuelle apposées sur le Logiciel;
+
+   2. à reproduire à l'identique lesdites mentions de propriété
+      intellectuelle sur les copies du Logiciel modifié ou non.
+
+Le Licencié s'engage à ne pas porter atteinte, directement ou
+indirectement, aux droits de propriété intellectuelle du Titulaire et/ou
+des Contributeurs sur le Logiciel et à prendre, le cas échéant, à
+l'égard de son personnel toutes les mesures nécessaires pour assurer le
+respect des dits droits de propriété intellectuelle du Titulaire et/ou
+des Contributeurs.
+
+
+    Article 7 - SERVICES ASSOCIES
+
+7.1 Le Contrat n'oblige en aucun cas le Concédant à la réalisation de
+prestations d'assistance technique ou de maintenance du Logiciel.
+
+Cependant le Concédant reste libre de proposer ce type de services. Les
+termes et conditions d'une telle assistance technique et/ou d'une telle
+maintenance seront alors déterminés dans un acte séparé. Ces actes de
+maintenance et/ou assistance technique n'engageront que la seule
+responsabilité du Concédant qui les propose.
+
+7.2 De même, tout Concédant est libre de proposer, sous sa seule
+responsabilité, à ses licenciés une garantie, qui n'engagera que lui,
+lors de la redistribution du Logiciel et/ou du Logiciel Modifié et ce,
+dans les conditions qu'il souhaite. Cette garantie et les modalités
+financières de son application feront l'objet d'un acte séparé entre le
+Concédant et le Licencié.
+
+
+    Article 8 - RESPONSABILITE
+
+8.1 Sous réserve des dispositions de l'article 8.2, le Licencié a la 
+faculté, sous réserve de prouver la faute du Concédant concerné, de
+solliciter la réparation du préjudice direct qu'il subirait du fait du
+Logiciel et dont il apportera la preuve.
+
+8.2 La responsabilité du Concédant est limitée aux engagements pris en
+application du Contrat et ne saurait être engagée en raison notamment:
+(i) des dommages dus à l'inexécution, totale ou partielle, de ses
+obligations par le Licencié, (ii) des dommages directs ou indirects
+découlant de l'utilisation ou des performances du Logiciel subis par le
+Licencié et (iii) plus généralement d'un quelconque dommage indirect. En
+particulier, les Parties conviennent expressément que tout préjudice
+financier ou commercial (par exemple perte de données, perte de
+bénéfices, perte d'exploitation, perte de clientèle ou de commandes,
+manque à gagner, trouble commercial quelconque) ou toute action dirigée
+contre le Licencié par un tiers, constitue un dommage indirect et
+n'ouvre pas droit à réparation par le Concédant.
+
+
+    Article 9 - GARANTIE
+
+9.1 Le Licencié reconnaît que l'état actuel des connaissances
+scientifiques et techniques au moment de la mise en circulation du
+Logiciel ne permet pas d'en tester et d'en vérifier toutes les
+utilisations ni de détecter l'existence d'éventuels défauts. L'attention
+du Licencié a été attirée sur ce point sur les risques associés au
+chargement, à l'utilisation, la modification et/ou au développement et à
+la reproduction du Logiciel qui sont réservés à des utilisateurs avertis.
+
+Il relève de la responsabilité du Licencié de contrôler, par tous
+moyens, l'adéquation du produit à ses besoins, son bon fonctionnement et
+de s'assurer qu'il ne causera pas de dommages aux personnes et aux biens.
+
+9.2 Le Concédant déclare de bonne foi être en droit de concéder
+l'ensemble des droits attachés au Logiciel (comprenant notamment les
+droits visés à l'article 5).
+
+9.3 Le Licencié reconnaît que le Logiciel est fourni "en l'état" par le
+Concédant sans autre garantie, expresse ou tacite, que celle prévue à
+l'article 9.2 et notamment sans aucune garantie sur sa valeur commerciale, 
+son caractère sécurisé, innovant ou pertinent.
+
+En particulier, le Concédant ne garantit pas que le Logiciel est exempt
+d'erreur, qu'il fonctionnera sans interruption, qu'il sera compatible
+avec l'équipement du Licencié et sa configuration logicielle ni qu'il
+remplira les besoins du Licencié.
+
+9.4 Le Concédant ne garantit pas, de manière expresse ou tacite, que le
+Logiciel ne porte pas atteinte à un quelconque droit de propriété
+intellectuelle d'un tiers portant sur un brevet, un logiciel ou sur tout
+autre droit de propriété. Ainsi, le Concédant exclut toute garantie au
+profit du Licencié contre les actions en contrefaçon qui pourraient être
+diligentées au titre de l'utilisation, de la modification, et de la
+redistribution du Logiciel. Néanmoins, si de telles actions sont
+exercées contre le Licencié, le Concédant lui apportera son aide
+technique et juridique pour sa défense. Cette aide technique et
+juridique est déterminée au cas par cas entre le Concédant concerné et
+le Licencié dans le cadre d'un protocole d'accord. Le Concédant dégage
+toute responsabilité quant à l'utilisation de la dénomination du
+Logiciel par le Licencié. Aucune garantie n'est apportée quant à
+l'existence de droits antérieurs sur le nom du Logiciel et sur
+l'existence d'une marque.
+
+
+    Article 10 - RESILIATION
+
+10.1 En cas de manquement par le Licencié aux obligations mises à sa
+charge par le Contrat, le Concédant pourra résilier de plein droit le
+Contrat trente (30) jours après notification adressée au Licencié et
+restée sans effet.
+
+10.2 Le Licencié dont le Contrat est résilié n'est plus autorisé à
+utiliser, modifier ou distribuer le Logiciel. Cependant, toutes les
+licences qu'il aura concédées antérieurement à la résiliation du Contrat
+resteront valides sous réserve qu'elles aient été effectuées en
+conformité avec le Contrat.
+
+
+    Article 11 - DISPOSITIONS DIVERSES
+
+
+      11.1 CAUSE EXTERIEURE
+
+Aucune des Parties ne sera responsable d'un retard ou d'une défaillance
+d'exécution du Contrat qui serait dû à un cas de force majeure, un cas
+fortuit ou une cause extérieure, telle que, notamment, le mauvais
+fonctionnement ou les interruptions du réseau électrique ou de
+télécommunication, la paralysie du réseau liée à une attaque
+informatique, l'intervention des autorités gouvernementales, les
+catastrophes naturelles, les dégâts des eaux, les tremblements de terre,
+le feu, les explosions, les grèves et les conflits sociaux, l'état de
+guerre...
+
+11.2 Le fait, par l'une ou l'autre des Parties, d'omettre en une ou
+plusieurs occasions de se prévaloir d'une ou plusieurs dispositions du
+Contrat, ne pourra en aucun cas impliquer renonciation par la Partie
+intéressée à s'en prévaloir ultérieurement.
+
+11.3 Le Contrat annule et remplace toute convention antérieure, écrite
+ou orale, entre les Parties sur le même objet et constitue l'accord
+entier entre les Parties sur cet objet. Aucune addition ou modification
+aux termes du Contrat n'aura d'effet à l'égard des Parties à moins
+d'être faite par écrit et signée par leurs représentants dûment habilités.
+
+11.4 Dans l'hypothèse où une ou plusieurs des dispositions du Contrat
+s'avèrerait contraire à une loi ou à un texte applicable, existants ou
+futurs, cette loi ou ce texte prévaudrait, et les Parties feraient les
+amendements nécessaires pour se conformer à cette loi ou à ce texte.
+Toutes les autres dispositions resteront en vigueur. De même, la
+nullité, pour quelque raison que ce soit, d'une des dispositions du
+Contrat ne saurait entraîner la nullité de l'ensemble du Contrat.
+
+
+      11.5 LANGUE
+
+Le Contrat est rédigé en langue française et en langue anglaise, ces
+deux versions faisant également foi.
+
+
+    Article 12 - NOUVELLES VERSIONS DU CONTRAT
+
+12.1 Toute personne est autorisée à copier et distribuer des copies de
+ce Contrat.
+
+12.2 Afin d'en préserver la cohérence, le texte du Contrat est protégé
+et ne peut être modifié que par les auteurs de la licence, lesquels se
+réservent le droit de publier périodiquement des mises à jour ou de
+nouvelles versions du Contrat, qui posséderont chacune un numéro
+distinct. Ces versions ultérieures seront susceptibles de prendre en
+compte de nouvelles problématiques rencontrées par les logiciels libres.
+
+12.3 Tout Logiciel diffusé sous une version donnée du Contrat ne pourra
+faire l'objet d'une diffusion ultérieure que sous la même version du
+Contrat ou une version postérieure, sous réserve des dispositions de
+l'article 5.3.4.
+
+
+    Article 13 - LOI APPLICABLE ET COMPETENCE TERRITORIALE
+
+13.1 Le Contrat est régi par la loi française. Les Parties conviennent
+de tenter de régler à l'amiable les différends ou litiges qui
+viendraient à se produire par suite ou à l'occasion du Contrat.
+
+13.2 A défaut d'accord amiable dans un délai de deux (2) mois à compter
+de leur survenance et sauf situation relevant d'une procédure d'urgence,
+les différends ou litiges seront portés par la Partie la plus diligente
+devant les Tribunaux compétents de Paris.
+
+
+Version 2.0 du 2006-09-05.
+
